Subject: Re: bug#23921: 25.0.94; Default Window Size

From: martin rudalics <[email-masked]>
Date: Sat, 09 Jul 2016 11:19:36 +0200

> Ever since I installed GNU Emacs for windows, I would open Emacs through
 >
 > the command prompt, and the window height would exceed the height my
 >
 > screen. The bottom 5-7 lines were always cut off.

With emacs -Q in buffer *scratch* please insert the following two forms

(display-monitor-attributes-list)

(frame-geometry)

move the cursor after each of the closing parentheses, type C-x C-e
there and post here whatever Emacs prints (you can find that in the
buffer *Messages*).  Here I get

(((geometry 0 0 1680 1050) (workarea 0 0 1680 1022) (mm-size 470 293) (name . "\\\\.\\DISPLAY1") (frames #<frame emacs@MACHNO 01ba0070>)))

((outer-position 88 . 88) (outer-size 680 . 658) (external-border-size 4 . 4) (title-bar-size 654 . 19) (menu-bar-external . t) (menu-bar-size 672 . 19) (tool-bar-external) (tool-bar-position . top) (tool-bar-size 680 . 36) (internal-border-width . 0))

 > In windows, program
 > windows
 >
 > can usually be resized, and the window size would be the same when the
 >
 > program is reinitialized, but this technique did not work with this
 >
 > version of Emacs.

IIRC this wouldn't work in any version of Emacs.  You need to "save the
desktop" in order to accomplish that.

Thanks, martin